Skip to content

Recharge a Card

POST /openapi/v1/cards/recharge
ItemValue
HTTP methodPOST
Request path/openapi/v1/cards/recharge
Request typeapplication/json

Request parameters:

FieldTypeRequiredDescription
requestNostringYesCaller-provided business idempotency key, 1 to 64 visible ASCII characters; spaces are not allowed.
cardIdstringYesCard ID, up to 128 characters.
amountnumberYesRecharge amount; greater than 0, with up to 18 integer digits and 18 decimal places.
currencystringYesRecharge asset; currently only USDT is supported, up to 32 characters.

Response data

FieldTypeDescription
orderNostringPlatform recharge order number.
requestNostringCaller-provided business idempotency key.
cardIdstringCard ID.
amountstringRecharge amount.
currencystringRecharge currency.
feeAmountstringFee amount.
feeCurrencystringFee currency.
acceptedbooleanWhether the request has been accepted.
statusstringRecharge workflow status: CREATED, PROCESSING, SUCCESS, FAILED.
failCodestringFailure code.
failMessagestringFailure message.
createTimestringOrder creation time.
completedTimestringTime when the order reached its terminal state.